> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 編集と変換

> crop/removeSection/fadeIn/fadeOut/adjustSpeed/replaceMusic/sample/mashup/concat/coverSong/remaster

編集・変換系操作はすべて既存タスクをソースにします:

```
POST https://toapis.com/v1/music/generations/{operation}
```

**model** `string` *required*

固定 `"suno"`

**task\_id** `string` *required*

元タスク ID(`tsk_aud_`)

**audio\_index** `number`

トラック番号

## 区間編集(各 \$0.008)

| operation | 説明 | 追加必須 |
| - | - | - |
| `crop` | 区間を切り出して保持 | `start_s`、`end_s` |
| `removeSection` | 区間を削除 | `start_s`、`end_s` |

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/crop \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","task_id":"tsk_aud_xxx","audio_index":1,"start_s":10,"end_s":40}'
```

## フェード(各 \$0.008)

| operation | 説明 | 追加必須 |
| - | - | - |
| `fadeIn` | イントロフェードイン | `duration_s` |
| `fadeOut` | アウトロフェードアウト | `duration_s` |

## adjustSpeed — 速度変更(\$0.024)

**speed** `number` *required*

速度倍率。例:`0.8` / `1.25`

**keep\_pitch** `boolean`

速度変更時にピッチを保持

## 書き換え・リマスター

### replaceMusic — 区間書き換え($0.05,Max $0.10)

**start\_s** `number` *required*

開始(秒)

**end\_s** `number` *required*

終了(秒)

**infill\_lyrics** `string`

区間の新歌詞

**max\_mode** `boolean`

Max ティア(本操作に `custom` なし。直接有効)

### sample — 再編集($0.05,Max $0.10)

> [!WARNING]
>
> `task_id` は `uploadTask` の生成物のみ。他のソースは拒否されます。

**start\_s** `number` *required*

サンプル開始(秒)

**end\_s** `number` *required*

サンプル終了(秒)

**gpt\_description** `string`

リミックス説明(custom=false 時必須)

### coverSong — カバー($0.05,Max $0.10)

**gpt\_description** `string`

目標スタイル説明(custom=false 時必須)

**custom** `boolean`

**prompt** `string`

custom=true 時の歌詞

**style** `string`

目標スタイル

### remaster — リマスター(\$0.05)

**variation\_category** `string`

リマスター傾向(任意)

### mashup — マッシュアップ($0.05,Max $0.10)

**task\_ids** `array` *required*

ちょうど 2 つの元タスク ID

**audio\_indexes** `array`

各ソースのトラック番号

**gpt\_description** `string`

ブレンド説明(custom=false 時必須)

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/mashup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","task_ids":["tsk_aud_aaa","tsk_aud_bbb"],"gpt_description":"blend into seamless lo-fi"}'
```

### concat — 結合(\$0.004)

`extend` 産物のセグメントを 1 曲に結合。

**task\_id** `string` *required*

`extend` 元タスク ID

## Response

**task\_id** `string`

新タスク ID

**status** `string`

`submitted`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.